> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Beneficiaries For a Customer

> Retrieve all beneficiaries associated with a specific customer



## OpenAPI

````yaml GET /v1/customers/{customer_id}/beneficiaries
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/customers/{customer_id}/beneficiaries:
    get:
      tags:
        - Beneficiaries
      summary: List Beneficiaries For a Customer
      description: Retrieve all beneficiaries associated with a specific customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: ad41fac1-e406-445b-aea4-69381c39ca5d
      responses:
        '200':
          description: Beneficiaries list retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: f653e109-6c62-4aa4-869c-418c874e0a6c
                        customer_id:
                          type: string
                          format: uuid
                          example: ad41fac1-e406-445b-aea4-69381c39ca5d
                        active:
                          type: boolean
                          example: true
                        country_code:
                          type: string
                          example: AUS
                        business_name:
                          type: string
                          example: Investment bank
                        type:
                          type: string
                          enum:
                            - INDIVIDUAL
                            - BUSINESS
                          example: BUSINESS
                        nationality:
                          type: string
                          example: AUS
                        email:
                          type: string
                          format: email
                          example: michael.oconnor@example.com
                        phone:
                          type: string
                          example: '+61412345678'
                        method:
                          type: string
                          enum:
                            - BANK
                            - E_WALLET
                          example: BANK
                        currency:
                          type: string
                          example: AUD
                        account_number:
                          type: string
                          example: '*****6789'
                        refund_wallet_address:
                          type: string
                          example: '0x1b577931C1cC2765024bFbafad97bCe14FF2e87F'
                        developer_fee_fixed:
                          type: number
                          example: 1.25
                        developer_fee_percentage:
                          type: number
                          example: 0.45
                        liquidation_address:
                          type: string
                          example: '0x185571d849dcfefff449bd1e9f847b1322f22834'
                        auto_settlement:
                          type: boolean
                          example: false
                        source_currency:
                          type: string
                          example: USDC
                        source_chain:
                          type: string
                          example: POLYGON
                        created_at:
                          type: string
                          format: date-time
                          example: '2025-12-09T14:56:47.916263Z'
                        updated_at:
                          type: string
                          format: date-time
                          example: '2025-12-09T14:56:49.1308Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````